Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::StreamPicOutput Class Reference

Class for outputting pictures. More...

`#include <pic_io.h>`

Inheritance diagram for dirac::StreamPicOutput:
[legend]
Collaboration diagram for dirac::StreamPicOutput:
[legend]

List of all members.

## Public Member Functions

- StreamPicOutput (std::ostream *op_ptr, const SourceParams &sp)
    Constructor.
- virtual ~StreamPicOutput ()
    virtual Destructor
- virtual bool WriteToNextFrame (const Picture &myframe)=0
    Write a picture to the next frame to be output.
- SourceParams & GetSourceParams ()
    Get the source parameters.

## Protected Member Functions

- StreamPicOutput ()
    Body-less default Constructor.

## Protected Attributes

- SourceParams m_sparams
    Source parameters.
- std::ostream * m_op_pic_ptr
    Output stream.

## Detailed Description

Abstract base class for classes that output frames to stream

## Constructor & Destructor Documentation

dirac::StreamPicOutput::StreamPicOutput | ( | std::ostream * | op_ptr,
|  | const SourceParams & | sp |
| ) |  |  |

Constructor, takes

Parameters:

  | op_ptr | the output stream object
  | sp | the source parameters

virtual dirac::StreamPicOutput::~StreamPicOutput | ( |  | ) | `[virtual]`

dirac::StreamPicOutput::StreamPicOutput | ( |  | ) | `[protected]`

## Member Function Documentation

virtual bool dirac::StreamPicOutput::WriteToNextFrame | ( | const Picture & | myframe | ) | `[pure virtual]`

Implemented in dirac::StreamFrameOutput, and dirac::StreamFieldOutput.

SourceParams& dirac::StreamPicOutput::GetSourceParams | ( |  | ) | `[inline]`

References m_sparams.

Referenced by dirac::MemoryStreamOutput::GetSourceParams().

## Member Data Documentation

SourceParams dirac::StreamPicOutput::m_sparams`[protected]`

Referenced by GetSourceParams().

std::ostream* dirac::StreamPicOutput::m_op_pic_ptr`[protected]`

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.